org.opencv.highgui

## Class HighGui

- java.lang.Object
- - org.opencv.highgui.HighGui

-     public final class HighGui
      extends Object

  This class was designed for use in Java applications to recreate the OpenCV HighGui functionalities.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CountDownLatch` | `latch`
    `static int` | `n_closed_windows`
    `static int` | `pressedKey`
    `static int` | `WINDOW_AUTOSIZE`
    `static int` | `WINDOW_NORMAL`
    `static Map<String,ImageWindow>` | `windows`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HighGui()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JFrame` | `createJFrame(String title, int flag)`
    `static void` | `destroyAllWindows()`
    `static void` | `destroyWindow(String winname)`
    `static void` | `imshow(String winname, Mat img)`
    `static void` | `moveWindow(String winname, int x, int y)`
    `static void` | `namedWindow(String winname)`
    `static void` | `namedWindow(String winname, int flag)`
    `static void` | `resizeWindow(String winname, int width, int height)`
    `static Image` | `toBufferedImage(Mat m)`
    `static void` | `waitKey()`
    `static int` | `waitKey(int delay)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WINDOW_NORMAL

          public static final int WINDOW_NORMAL

      See Also:
        Constant Field Values

    - #### WINDOW_AUTOSIZE

          public static final int WINDOW_AUTOSIZE

      See Also:
        Constant Field Values

    - #### n_closed_windows

          public static int n_closed_windows

    - #### pressedKey

          public static int pressedKey

    - #### latch

          public static CountDownLatch latch

    - #### windows

          public static Map<String,ImageWindow> windows

  - ### Constructor Detail

    - #### HighGui

          public HighGui()

  - ### Method Detail

    - #### namedWindow

          public static void namedWindow(String winname)

    - #### namedWindow

          public static void namedWindow(String winname,
                                         int flag)

    - #### imshow

          public static void imshow(String winname,
                                    Mat img)

    - #### toBufferedImage

          public static Image toBufferedImage(Mat m)

    - #### createJFrame

          public static JFrame createJFrame(String title,
                                            int flag)

    - #### waitKey

          public static void waitKey()

    - #### waitKey

          public static int waitKey(int delay)

    - #### destroyWindow

          public static void destroyWindow(String winname)

    - #### destroyAllWindows

          public static void destroyAllWindows()

    - #### resizeWindow

          public static void resizeWindow(String winname,
                                          int width,
                                          int height)

    - #### moveWindow

          public static void moveWindow(String winname,
                                        int x,
                                        int y)

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8